| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Classes | Macros | Functions
wisdom.c File Reference
`#include "fftw-int.h"`
`#include <stdio.h>`
`#include <stdlib.h>`
`#include <ctype.h>`

Go to the source code of this file.

## Classes
struct | wisdom

## Macros
#define | EXPECT(c)
#define | EXPECT_INT(n)
#define | EXPECT_STRING(s)

## Functions
int | fftw_wisdom_lookup (int n, int flags, fftw_direction dir, enum fftw_wisdom_category category, int istride, int ostride, enum fftw_node_type *type, int *signature, fftw_recurse_kind *recurse_kind, int replacep)
void | fftw_wisdom_add (int n, int flags, fftw_direction dir, enum fftw_wisdom_category category, int istride, int ostride, enum fftw_node_type type, int signature, fftw_recurse_kind recurse_kind)
void | fftw_forget_wisdom (void)
void | fftw_export_wisdom (void(*emitter)(char c, void *), void *data)
fftw_status | fftw_import_wisdom (int(*g)(void *), void *data)

## Macro Definition Documentation

#define EXPECT | ( |  | c | ) |

Value:
{ \
eat_blanks(data); \
if (input_error == FFTW_FAILURE || \
next_char != c) \
return FFTW_FAILURE; \
read_char(data); \
}
FFTW_FAILURE
Definition: fftw.h:86
data
JSAMPIMAGE data
Definition: jpeglib.h:945

Definition at line 237 of file wisdom.c.

#define EXPECT_INT | ( |  | n | ) |

Value:
{ \
n = read_int(data); \
if (input_error == FFTW_FAILURE) \
return FFTW_FAILURE; \
}
FFTW_FAILURE
Definition: fftw.h:86
data
JSAMPIMAGE data
Definition: jpeglib.h:945

Definition at line 246 of file wisdom.c.

#define EXPECT_STRING | ( |  | s | ) |

Value:
{ \
const char *s1 = s; \
while (*s1) { \
EXPECT(*s1); \
++s1; \
} \
}
EXPECT
#define EXPECT(c)
Definition: wisdom.c:237

Definition at line 253 of file wisdom.c.

## Function Documentation

void fftw_export_wisdom | ( | void(*)(char c, void *) | emitter,
|  | void * | data
| ) |  |

Definition at line 158 of file wisdom.c.

void fftw_forget_wisdom | ( | void |  | ) |

Definition at line 125 of file wisdom.c.

fftw_status fftw_import_wisdom | ( | int(*)(void *) | g,
|  | void * | data
| ) |  |

Definition at line 262 of file wisdom.c.

void fftw_wisdom_add | ( | int | n,
|  | int | flags,
|  | fftw_direction | dir,
|  | enum fftw_wisdom_category | category,
|  | int | istride,
|  | int | ostride,
|  | enum fftw_node_type | type,
|  | int | signature,
|  | fftw_recurse_kind | recurse_kind
| ) |  |

Definition at line 85 of file wisdom.c.

int fftw_wisdom_lookup | ( | int | n,
|  | int | flags,
|  | fftw_direction | dir,
|  | enum fftw_wisdom_category | category,
|  | int | istride,
|  | int | ostride,
|  | enum fftw_node_type * | type,
|  | int * | signature,
|  | fftw_recurse_kind * | recurse_kind,
|  | int | replacep
| ) |  |

Definition at line 46 of file wisdom.c.